import csv
import plac

def filter_path(csv_path):
    filtered = []

    with open(csv_path) as csv_file:
        reader = csv.reader(csv_file)

        filtered.append(reader.next())

        for row in reader:
            #if row[-1] in ("OPTIMUM FOUND", "UNSATISFIABLE"):
            if row[-1] != "":
                filtered.append(row[:-1] + [True])
            else:
                filtered.append(row[:-1] + [False])

    with open(csv_path, "w") as csv_file:
        writer = csv.writer(csv_file)

        writer.writerows(filtered)

    print "filtered", csv_path

def main(*paths):
    for path in paths:
        filter_path(path)

if __name__ == "__main__":
    plac.call(main)

